[arch-commits] Commit in mongo-c-driver/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Aug 15 01:55:34 UTC 2019


    Date: Thursday, August 15, 2019 @ 01:55:34
  Author: felixonmars
Revision: 499255

archrelease: copy trunk to community-x86_64

Added:
  mongo-c-driver/repos/community-x86_64/PKGBUILD
    (from rev 499254, mongo-c-driver/trunk/PKGBUILD)
Deleted:
  mongo-c-driver/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   84 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 42 insertions(+), 42 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-15 01:55:24 UTC (rev 499254)
+++ PKGBUILD	2019-08-15 01:55:34 UTC (rev 499255)
@@ -1,42 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=mongo-c-driver
-pkgver=1.14.1
-pkgrel=1
-pkgdesc='A client library written in C for MongoDB'
-arch=('x86_64')
-url='https://www.mongodb.org/display/DOCS/C+Language+Center'
-license=('Apache')
-depends=('libsasl' 'icu' 'snappy' 'zlib')
-makedepends=('cmake')
-provides=('libbson' 'libmongoc')
-conflicts=('libbson' 'libmongoc')
-replaces=('libbson' 'libmongoc')
-source=("https://github.com/mongodb/mongo-c-driver/releases/download/$pkgver/$pkgname-$pkgver.tar.gz")
-sha512sums=('34638af130b0064f404aea60f3b2ef4db4d93a286950134902af2dbe678d6949ac7a7e1a7c987f399d140d2e7ed348d7be54275d3aefd7ff4733712f3bfeec65')
-
-prepare() {
-  mkdir -p build
-}
-
-build() {
-  cd build
-  cmake ../mongo-c-driver-$pkgver \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_INSTALL_LIBDIR=lib \
-    -DENABLE_STATIC=OFF -DENABLE_TESTS=OFF
-    # Test profiles are not found even with ENABLE_TESTS=ON
-  make
-}
-
-check() {
-  cd build
-  # No test profile found
-  # pifpaf run mongodb --port 27017 make test || warning "Tests failed"
-}
-
-package() {
-  cd build
-  make DESTDIR="$pkgdir/" install
-}

Copied: mongo-c-driver/repos/community-x86_64/PKGBUILD (from rev 499254, mongo-c-driver/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-15 01:55:34 UTC (rev 499255)
@@ -0,0 +1,42 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=mongo-c-driver
+pkgver=1.15.0
+pkgrel=1
+pkgdesc='A client library written in C for MongoDB'
+arch=('x86_64')
+url='https://www.mongodb.org/display/DOCS/C+Language+Center'
+license=('Apache')
+depends=('libsasl' 'icu' 'snappy' 'zlib' 'zstd')
+makedepends=('cmake')
+provides=('libbson' 'libmongoc')
+conflicts=('libbson' 'libmongoc')
+replaces=('libbson' 'libmongoc')
+source=("https://github.com/mongodb/mongo-c-driver/releases/download/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('b3a24116787e2e76eaeb86d26e812a6afe4fbd065ae12ed5c2730d14c78101b9c7a7cf60d549bd64c278e57581118af065e97ac09db7a08b7008b3f607538b09')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../mongo-c-driver-$pkgver \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib \
+    -DENABLE_STATIC=OFF -DENABLE_TESTS=OFF
+    # Test profiles are not found even with ENABLE_TESTS=ON
+  make
+}
+
+check() {
+  cd build
+  # No test profile found
+  # pifpaf run mongodb --port 27017 make test || warning "Tests failed"
+}
+
+package() {
+  cd build
+  make DESTDIR="$pkgdir/" install
+}


More information about the arch-commits mailing list